%global momorel 3

Epoch: 1

%global major 1
%global minor 7.0
%global patchver 060927

%global category Network
%global icondir %{_datadir}/icons/hicolor/96x96/apps/

%global ver %{major}.%{minor}
%global srcversion %{major}.%{minor}-%{patchver}

Summary: jd - 2ch browser
Name: jd
Version: %{ver}
#Release: %{momorel}m
Release: 0.0.20%{patchver}.%{momorel}m
License: GPL
Group: Applications/Internet
URL: http://sourceforge.jp/projects/jd4linux/
# http://jd4linux.sourceforge.jp/
#http://osdn.dl.sourceforge.jp/jd4linux/21934/jd-1.7.0-060927.tgz
Source0: http://dl.sourceforge.net/sourceforge/%{name}-%{srcversion}.tgz
#NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: glibmm pango
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: libtool
BuildRequires: zlib
BuildRequires: glibmm-devel
BuildRequires: pango-devel
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils

%description
jd is a 2ch browser

%prep 
%setup -q -n %{name}-%{srcversion}

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{icondir}

%{__install} -p -m 644 %{name}.png %{buildroot}%{icondir}

desktop-file-install \
   --vendor= \
   --dir %{buildroot}%{_datadir}/applications \
   --remove-category X-Red-Hat-Base \
   --remove-category Application \
   %{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS COPYING README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{icondir}/*

%changelog
* Sat Dec 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0-0.0.20060926.3m)
- add epoch for update
- $ ../tools/rpmvercmp 1.51.060717-1m 1.7.0-0.0.20060927.1m
- >

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0-0.0.20060926.2m)
- fix desktop-file-install category 

* Wed Sep 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0-0.0.20060926.1m)
- update 1.7 release version

* Thu Sep 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0.060926-1m)
- update

* Thu Sep 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0.060921-1m)
- update

* Thu Sep 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70b.060914-1m)
- update

* Sun Sep 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060903-1m)
- update

* Sun Aug 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060827-1m)
- update

* Tue Aug 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060803-1m)
- update

* Sun Jul 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060717-1m)
- update to current tarball

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060611-1m)
- update to current tarball

* Sat Jun 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.50.060528-2m)
- update to 1.50.060601 release version
- change URL to sourceforge.net and No NoSource avoid sf.net problem

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5rc.060528-2m)
- update to 15rc060528

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5b.060518-2m)
- rebuild against gtkmm-2.8.8

* Fri May 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060518-1m)
- update to 15b060518

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060425-1m)
- update to 15b060425

* Sun Feb 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060226-1m)
- update to 15b060226
- delete Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.060101-2m)
- add gcc41 patch
- Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.060101-1m)
- import to Momonga
